Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1223461 - Review Request: python-glusterfs-api - python bindings of libgfapi library
Summary: Review Request: python-glusterfs-api - python bindings of libgfapi library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-05-20 14:53 UTC by Humble Chirammal
Modified: 2016-10-18 09:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-18 09:58:20 UTC


Attachments (Terms of Use)
python-glusterfs-api spec file (deleted)
2015-05-20 14:53 UTC, Humble Chirammal
no flags Details
SRPM of python-glusterfs-api (deleted)
2015-05-20 14:55 UTC, Humble Chirammal
no flags Details

Description Humble Chirammal 2015-05-20 14:53:07 UTC
Spec URL: Attached here. Source: http://review.gluster.org/#/c/10256/12/python-glusterfs-api.spec

SRPM URL: Attached :

Description: GlusterFS is a distributed file-system capable of scaling to several petabytes. It aggregates various storage bricks over Infiniband RDMA
or TCP/IP interconnect into one large parallel network file
system. GlusterFS is one of the most sophisticated file systems in
terms of features and extensibility.  It borrows a powerful concept
called Translators from GNU Hurd kernel. Much of the code in GlusterFS
is in user space and easily manageable.

libgfapi [1] is one of the access mechanism for GlusterFS volumes and this package
contains python bindings of libgfapi[2].

[1] http://humblec.com/libgfapi-interface-glusterfs/
[2] http://humblec.com/play-libgfapi-python-bindings/



Fedora Account System Username: humble ( https://fedoraproject.org/wiki/User:Humble)

Comment 1 Humble Chirammal 2015-05-20 14:53:58 UTC
Created attachment 1027758 [details]
python-glusterfs-api spec file

Comment 2 Humble Chirammal 2015-05-20 14:55:47 UTC
Created attachment 1027761 [details]
SRPM of python-glusterfs-api

Comment 4 Parag AN(पराग) 2015-05-22 14:48:27 UTC
1) I just checked this package and found SPEC file https://humble.fedorapeople.org/python-glusterfs-api.spec is not same as packaged in srpm https://humble.fedorapeople.org/python-glusterfs-api-1.0.0-1.fc19.src.rpm

2) minor thing Summary should start with capital letter so it should be "Python bindings of Gluster libgfapi"

Please update and comment here so I will check again.

Comment 5 Humble Chirammal 2015-05-25 07:57:15 UTC
(In reply to Parag AN(पराग) from comment #4)
> 1) I just checked this package and found SPEC file
> https://humble.fedorapeople.org/python-glusterfs-api.spec is not same as
> packaged in srpm
> https://humble.fedorapeople.org/python-glusterfs-api-1.0.0-1.fc19.src.rpm
> 
> 2) minor thing Summary should start with capital letter so it should be
> "Python bindings of Gluster libgfapi"
> 
> Please update and comment here so I will check again.

I have addressed above. Can you please check it out.

Comment 6 Parag AN(पराग) 2015-05-25 08:19:18 UTC
Review:
+ package builds find in mock F23 x86_64

+ rpmlint on all generated rpms gave output
python-glusterfs-api.noarch: W: spelling-error Summary(en_US) libgfapi -> libation
python-glusterfs-api.noarch: W: spelling-error %description -l en_US extensibility -> sensibility, extensible
python-glusterfs-api.noarch: W: spelling-error %description -l en_US libgfapi -> libation
python-glusterfs-api.src: W: spelling-error Summary(en_US) libgfapi -> libation
python-glusterfs-api.src: W: spelling-error %description -l en_US extensibility -> sensibility, extensible
python-glusterfs-api.src: W: spelling-error %description -l en_US libgfapi -> libation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
==> Ok

- License tag "GPLv2 or LGPLv3+" is wrong and should be "ASL 2.0"

+ Source packaged is verified with upstream source as (sha256sum)
tarball in srpm: 357ccd2a985dfc44849928c6981a19129cce899a77f35bef9034680055ffa49c
upstream tarball: 357ccd2a985dfc44849928c6981a19129cce899a77f35bef9034680055ffa49c

+ follows python packaging

Issues:
1) I still see 
=====================================
Diff spec file in url and in SRPM
---------------------------------
--- /home/parag/1223461-python-glusterfs-api/srpm/python-glusterfs-api.spec     2015-05-25 13:28:15.399281488 +0530
+++ /home/parag/1223461-python-glusterfs-api/srpm-unpacked/python-glusterfs-api.spec    2015-05-25 13:18:36.000000000 +0530
@@ -84,2 +84,3 @@
 - Introducing spec file.

+
======================================
package the same spec file in srpm

2) Directories without known owners: /usr/lib/python2.7/site-packages/gluster
=> Fix this by changing in %files
%{python2_sitelib}/gluster/gfapi/
to
%{python2_sitelib}/gluster

3) when I did mock build I see package is not installing files which are actually getting %exclude so you can remove following lines from spec
======================================
# unit and functional test files are part of source, however we are not packaging it, so adding them in
# exclude.
%exclude %{buildroot}/test/
%exclude %{buildroot}/functional_tests.sh
%exclude %{buildroot}/test-requirements.txt
%exclude %{buildroot}/tox.ini
%exclude %{buildroot}/unittests.sh
======================================

4) I checked all 3 .py files and found each source file having "ASL 2.0" license header and also source tarball contains now "LICENSE" file.
=> Change license tag to "ASL 2.0"
in %files change
%license COPYING-GPLV2 COPYING-LGPLV3
to
%license LICENSE

5) When you submit update, you need to increase release tag to 2 and add new changelog entry for today's date and log as "Fix issues for this package review"

Comment 7 Humble Chirammal 2015-06-09 10:32:31 UTC
Thanks for the review!

Most of the discrepancies wrt license file has been resolved by an upstream change. 

Here is some details about other reported issues.

1) Diff spec file in url and in SRPM
---------------------------------

Corrected

2) 2) Directories without known owners: /usr/lib/python2.7/site-packages/gluster
=> Fix this by changing in %files
%{python2_sitelib}/gluster/gfapi/
to
%{python2_sitelib}/gluster

---------------------

The gluster module is owned by another package called 'python-gluster' which is a dependent package of this- python-gluster-api rpm. I have documented the same in spec file.

3) # unit and functional test files are part of source, however we are not packaging it, so adding them in
# exclude.
%exclude %{buildroot}/test/
%exclude %{buildroot}/functional_tests.sh
%exclude %{buildroot}/test-requirements.txt
%exclude %{buildroot}/tox.ini
%exclude %{buildroot}/unittests.sh
======================================


Removed the 'exclude' section from latest spec file.

4) 4) I checked all 3 .py files and found each source file having "ASL 2.0" license header and also source tarball contains now "LICENSE" file.
=> Change license tag to "ASL 2.0"
in %files change
%license COPYING-GPLV2 COPYING-LGPLV3
to
%license LICENSE

--------------------------------

This went away with the latest upstream change http://review.gluster.org/#/c/10256/

5) 
5) When you submit update, you need to increase release tag to 2 and add new changelog entry for today's date and log as "Fix issues for this package review"

-----------

Done.

Can you please re review this request?

Comment 8 Parag AN(पराग) 2015-06-10 06:38:18 UTC
I don't see any package updated links above but I found following

SPEC URL: https://humble.fedorapeople.org/python-glusterfs-api.spec
SRPM URL: https://humble.fedorapeople.org/python-glusterfs-api-1.0.0-2.fc19.src.rpm

Hope these are updated for above comment change.

Comment 10 Humble Chirammal 2015-06-12 13:14:40 UTC
(In reply to Parag AN(पराग) from comment #8)
> I don't see any package updated links above but I found following
> 
> SPEC URL: https://humble.fedorapeople.org/python-glusterfs-api.spec
> SRPM URL:
> https://humble.fedorapeople.org/python-glusterfs-api-1.0.0-2.fc19.src.rpm
> 
> Hope these are updated for above comment change.

Yes, it was . sorry for not mentioning it in the comment.
I have updated the same location with new SRPM and SPEC url

SRPM URL:https://humble.fedorapeople.org/python-glusterfs-api-1.0.0-2.fc22.src.rpm

SPEC URL:https://humble.fedorapeople.org/python-glusterfs-api.spec

Comment 11 Humble Chirammal 2015-06-12 13:22:01 UTC
(In reply to Parag AN(पराग) from comment #9)
> package is not building as Source0: should be changed from
> Source0:         
> http://bits.gluster.org/pub/gluster/glusterfs/src/python-glusterfs-api-
> %{version}-%{?release}.tar.gz
> to
> Source0:         
> http://bits.gluster.org/pub/gluster/glusterfs/src/python-glusterfs-api-
> %{version}.tar.gz

done. the new source is available @ http://bits.gluster.org/pub/gluster/glusterfs/src/python-glusterfs-api-1.0.0.tar.gz

Comment 12 Parag AN(पराग) 2015-06-16 10:20:08 UTC
1)I still see some issues here. License is not clear to me. Can you write here what is license for this package "ASL 2.0" or "GPLv2 or LGPLv3+"?

I don't see any matching between license in setup.py then individual .py source file headers.

In tarball setup.py as well as other .py files says "ASL 2.0" license.

2) Whenever you want to use "%" character in comment use it twice to silent rpmlint command output on generated rpms. See
python-glusterfs-api.src:49: W: macro-in-comment %{python2_sitelib}

Comment 13 Humble Chirammal 2015-08-04 08:28:03 UTC
(In reply to Parag AN(पराग) from comment #12)
> 1)I still see some issues here. License is not clear to me. Can you write
> here what is license for this package "ASL 2.0" or "GPLv2 or LGPLv3+"?
> 
> I don't see any matching between license in setup.py then individual .py
> source file headers.
> 
> In tarball setup.py as well as other .py files says "ASL 2.0" license.
> 
> 2) Whenever you want to use "%" character in comment use it twice to silent
> rpmlint command output on generated rpms. See
> python-glusterfs-api.src:49: W: macro-in-comment %{python2_sitelib}

my repo was mangled with patches which are not merged yet in upstream. I am waiting for them to be merged in upstream , so that we have the consistent state to proceed. I will get back soon on this.

Comment 14 Parag AN(पराग) 2016-05-01 05:56:28 UTC
Any updates here?

Comment 15 Parag AN(पराग) 2016-07-13 17:31:26 UTC
Okay Closing this review as there is no response from submitter.

Comment 16 Humble Chirammal 2016-08-08 09:57:26 UTC
(In reply to Parag AN(पराग) from comment #14)
> Any updates here?

@Parag, apologies for the delay here. We were revamping some code paths in upstream and thought of including it in the fedora release. Now all those fixes are in place and  I am reopening this request as we are in a good state to proceed.

Comment 17 Parag AN(पराग) 2016-08-08 12:39:29 UTC
Hi,
   Every time when something gets changed in spec please increase the release number, add related changelog and provide SPEC and SRPM URLs for further review of the package.

Comment 18 Parag AN(पराग) 2016-08-18 05:16:32 UTC
Ping please provide updated SPEC and SRPM links for further package review.

Comment 19 Parag AN(पराग) 2016-08-25 04:20:42 UTC
Ping again...

Comment 20 Parag AN(पराग) 2016-10-18 09:58:20 UTC
No response since last 2 months.


Note You need to log in before you can comment on or make changes to this bug.